Bug 21821 - multiple problems with exportfs
Summary: multiple problems with exportfs
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-06 19:52 UTC by John Bollinger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:39:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Bollinger 2000-12-06 19:52:13 UTC
The exportfs tool contains multiple bugs.  In particular, it does not interact correctly with changes to /etc/exports, and in list
mode (i.e. no options or just -v) it does not correctly reflect changes to the list of exported directories.

Examples:

"exportfs -v" produces exactly the same (non-empty) list of exported directories before and after an "exportfs -ua", although
testing with clients shows that the directories were indeed exported before the "exportfs -ua" but not after it.

If an exported directory is wholly removed from /etc/exports, exportfs behaves as if it were still there.  In particular, it is still
exported by exportfs -a.  However, exportfs does seem to recognize changes in mount options in /etc/exports.

The above should be interpreted modulo the fact that entries present in /etc/exports at system startup seem to be treated
differently -- i.e. "stickier" -- than entries that are added later.

Comment 1 Elliot Lee 2004-08-23 19:39:33 UTC
Closing bugs for old packages that no longer have a maintainer.


Note You need to log in before you can comment on or make changes to this bug.